## AgsFxLv2Channel

AgsFxLv2Channel — fx lv2 channel

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FX_LV2_CHANNEL_INPUT_DATA()
#define | AGS_FX_LV2_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()
AgsFxLv2ChannelInputData * | ags_fx_lv2_channel_input_data_alloc ()
void | ags_fx_lv2_channel_input_data_free ()
void | ags_fx_lv2_channel_load_plugin ()
void | ags_fx_lv2_channel_load_port ()
AgsFxLv2Channel * | ags_fx_lv2_channel_new ()

## Types and Values

struct | AgsFxLv2ChannelInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxNotationChannel
                    ╰── AgsFxLv2Channel

## Includes

    #include <ags/audio/fx/ags_fx_lv2_channel.h>

## Description

The AgsFxLv2Channel class provides ports to the effect processor.

## Functions

### AGS_FX_LV2_CHANNEL_INPUT_DATA()

    #define AGS_FX_LV2_CHANNEL_INPUT_DATA(ptr) ((AgsFxLv2ChannelInputData *)(ptr))

### AGS_FX_LV2_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()

    #define AGS_FX_LV2_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX(ptr) (&(((AgsFxLv2ChannelInputData *)(ptr))->strct_mutex))

### ags_fx_lv2_channel_input_data_alloc ()

    AgsFxLv2ChannelInputData *
    ags_fx_lv2_channel_input_data_alloc ();

Allocate AgsFxLv2ChannelInputData

#### Returns

the new AgsFxLv2ChannelInputData

Since: 3.3.0

### ags_fx_lv2_channel_input_data_free ()

    void
    ags_fx_lv2_channel_input_data_free (AgsFxLv2ChannelInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxLv2ChannelInputData |

Since: 3.3.0

### ags_fx_lv2_channel_load_plugin ()

    void
    ags_fx_lv2_channel_load_plugin (AgsFxLv2Channel *fx_lv2_channel);

Load plugin of `fx_lv2_channel` .

#### Parameters

fx_lv2_channel | the AgsFxLv2Channel |

Since: 3.3.0

### ags_fx_lv2_channel_load_port ()

    void
    ags_fx_lv2_channel_load_port (AgsFxLv2Channel *fx_lv2_channel);

Load port of `fx_lv2_channel` .

#### Parameters

fx_lv2_channel | the AgsFxLv2Channel |

Since: 3.3.0

### ags_fx_lv2_channel_new ()

    AgsFxLv2Channel *
    ags_fx_lv2_channel_new (AgsChannel *channel);

Create a new instance of AgsFxLv2Channel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxLv2Channel

Since: 3.3.0

## Types and Values

### struct AgsFxLv2ChannelInputData

    struct AgsFxLv2ChannelInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      float *output;
      guint output_size;

      float *input;
      guint input_size;

      LV2_Handle *lv2_handle;
    };